package com.czg.market.service;

import com.mybatisflex.core.service.IService;
import com.czg.market.entity.MkShareBase;

/**
 * 分享奖励基础配置 服务层。
 *
 * @author ww
 * @since 2026-01-27
 */
public interface MkShareBaseService extends IService<MkShareBase> {

    MkShareBase getShareBase(Long shopId);

    void shareClaim(String tagType, Long shopId, Long fromUserId, Long toUserId);
}
